Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 221179 - perl-related packages with ${PORTAGE_TMPDIR} in their .packlist
Summary: perl-related packages with ${PORTAGE_TMPDIR} in their .packlist
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-10 07:29 UTC by Rafał Mużyło
Modified: 2013-08-25 15:22 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rafał Mużyło 2008-05-10 07:29:53 UTC
Following packages have ${PORTAGE_TMPDIR} in their .packlist
dev-util/subversion (both 1.4.6 and 1.5.0_rc4)
dev-util/git-1.5.4.4 (probably others too)
dev-db/qdbm-1.8.75-r1 (as above)
net-analyzer/net-snmp-5.4.1-r3 (as above)
media-gfx/imagemagick-6.4.0.6 (as above)
Comment 1 Jeroen Roovers gentoo-dev 2008-05-10 16:10:20 UTC
(In reply to comment #0)
> Following packages have ${PORTAGE_TMPDIR} in their .packlist
> dev-util/subversion : apache-bugs@gentoo.org
> dev-util/git : ferdy@gentoo.org,robbat2@gentoo.org
> dev-db/qdbm : hattya@gentoo.org
> net-analyzer/net-snmp : netmon@gentoo.org
> media-gfx/imagemagick-6.4.0.6 (as above) : graphics@gentoo.org
Comment 2 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2008-05-10 17:00:38 UTC
Is it safe to simply delete .packlist files?
Comment 3 Fernando J. Pereda (RETIRED) gentoo-dev 2008-06-08 16:45:34 UTC
What are we supposed to do with said files?

- ferdy
Comment 4 Torsten Veller (RETIRED) gentoo-dev 2009-03-20 17:58:06 UTC
(In reply to comment #2)
> Is it safe to simply delete .packlist files?

(In reply to comment #3)
> What are we supposed to do with said files?

Removing .packlist is fine.
Comment 5 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-03-22 02:11:42 UTC
dev-util/subversion-1.6.0 is fixed.
Comment 6 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-04-13 02:49:23 UTC
Git fixed.
Comment 7 Akinori Hattori gentoo-dev 2010-07-31 10:28:59 UTC
dev-db/qdbm is fixed.
Comment 8 Samuli Suominen gentoo-dev 2010-07-31 10:33:33 UTC
ImageMagick 6.6.3.0 installs these,

/usr/lib64/perl5/vendor_perl/5.12.1/x86_64-linux/Image/Magick.pm
/usr/lib64/perl5/vendor_perl/5.12.1/x86_64-linux/auto/Image/Magick/autosplit.ix
/usr/lib64/perl5/vendor_perl/5.12.1/x86_64-linux/auto/Image/Magick/Magick.bs
/usr/lib64/perl5/vendor_perl/5.12.1/x86_64-linux/auto/Image/Magick/Magick.so

but no .packlist file... so I assume this is fixed
Comment 9 Torsten Veller (RETIRED) gentoo-dev 2010-07-31 10:37:51 UTC
Yes, EUMM is patched in perl-5.12.1 and perl-core/ to not install .packlist or perllocal.pod for core or vendor modules.
Comment 10 Kent Fredric (IRC: kent\n) gentoo-dev 2013-08-25 15:22:52 UTC
This patch should be reverted in a future perl release, because Packlist files serve a utility for some tools, and their absence breaks those tools.

If users don't want .packlist files on their system, then fine, they should add .packlist to INSTALL_MASK

removing perllocal.pod should still be performed, because every package using EUMM tries to modify that file and replace it with the modified form, which, worst case scenario, creates a collision, best case scenario, will require a user somewhere to eventually to a dispatch-conf to update that spurious file.

To that effect, we should stop patching EUMM and Perl to omit .packlist, and where nessecary, packlists should be augmented to be correct. 

See also bug #438660